diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/arp-header.h ns-3.44/src/internet/model/arp-header.h
--- ns-3.43/src/internet/model/arp-header.h	2024-10-09 16:41:09.880655800 -0700
+++ ns-3.44/src/internet/model/arp-header.h	2025-03-09 16:55:49.387371000 -0700
@@ -13,36 +13,61 @@
 #include "ns3/header.h"
 #include "ns3/ipv4-address.h"
 
-#include <string>
-
 namespace ns3
 {
 /**
- * \ingroup arp
- * \brief The packet header for an ARP packet
+ * @ingroup arp
+ * @brief The packet header for an ARP packet
  */
 class ArpHeader : public Header
 {
   public:
     /**
-     * \brief Set the ARP request parameters
-     * \param sourceHardwareAddress the source hardware address
-     * \param sourceProtocolAddress the source IP address
-     * \param destinationHardwareAddress the destination hardware address (usually the
+     * @brief Enumeration listing the possible ARP types
+     *
+     * These ARP types are part of the standard ARP packet format as defined in Section
+     * "Definitions" of \RFC{826}.
+     */
+    enum ArpType_e : uint16_t
+    {
+        ARP_TYPE_REQUEST = 1,
+        ARP_TYPE_REPLY = 2
+    };
+
+    /**
+     * @brief Enumeration listing the supported hardware types
+     *
+     * \RFC{826} specifies that the Hardware Type field in the ARP packet indicates the type
+     of hardware used.
+     * For the full list of Hardware Types, refer to:
+     * https://www.iana.org/assignments/arp-parameters/arp-parameters.xhtml
+     */
+    enum class HardwareType : uint16_t
+    {
+        UNKNOWN = 0,
+        ETHERNET = 1,
+        EUI_64 = 27,
+    };
+
+    /**
+     * @brief Set the ARP request parameters
+     * @param sourceHardwareAddress the source hardware address
+     * @param sourceProtocolAddress the source IP address
+     * @param destinationHardwareAddress the destination hardware address (usually the
      * broadcast address)
-     * \param destinationProtocolAddress the destination IP address
+     * @param destinationProtocolAddress the destination IP address
      */
     void SetRequest(Address sourceHardwareAddress,
                     Ipv4Address sourceProtocolAddress,
                     Address destinationHardwareAddress,
                     Ipv4Address destinationProtocolAddress);
     /**
-     * \brief Set the ARP reply parameters
-     * \param sourceHardwareAddress the source hardware address
-     * \param sourceProtocolAddress the source IP address
-     * \param destinationHardwareAddress the destination hardware address (usually the
+     * @brief Set the ARP reply parameters
+     * @param sourceHardwareAddress the source hardware address
+     * @param sourceProtocolAddress the source IP address
+     * @param destinationHardwareAddress the destination hardware address (usually the
      * broadcast address)
-     * \param destinationProtocolAddress the destination IP address
+     * @param destinationProtocolAddress the destination IP address
      */
     void SetReply(Address sourceHardwareAddress,
                   Ipv4Address sourceProtocolAddress,
@@ -50,44 +75,66 @@
                   Ipv4Address destinationProtocolAddress);
 
     /**
-     * \brief Check if the ARP is a request
-     * \returns true if it is a request
+     * @brief Determines the hardware type based on the length of the address.
+     *
+     * This method determines the hardware type based on the length of the address.
+     * It supports two common hardware address lengths:
+     * - 6 bytes: Assumed to be Ethernet.
+     * - 8 bytes: Assumed to be EUI-64.
+     *
+     * If the length of the address does not match these common lengths, the method defaults
+     * to Unknown hardware type.
+     *
+     * @param address The address whose length is used to determine the hardware type.
+     * @return The corresponding hardware type.
+     */
+    HardwareType DetermineHardwareType(const Address& address) const;
+
+    /**
+     * @brief Check if the ARP is a request
+     * @returns true if it is a request
      */
     bool IsRequest() const;
 
     /**
-     * \brief Check if the ARP is a reply
-     * \returns true if it is a reply
+     * @brief Check if the ARP is a reply
+     * @returns true if it is a reply
      */
     bool IsReply() const;
 
     /**
-     * \brief Returns the source hardware address
-     * \returns the source hardware address
+     * @brief Get the hardware type
+     * @return the hardware type
+     */
+    HardwareType GetHardwareType() const;
+
+    /**
+     * @brief Returns the source hardware address
+     * @returns the source hardware address
      */
     Address GetSourceHardwareAddress() const;
 
     /**
-     * \brief Returns the destination hardware address
-     * \returns the destination hardware address
+     * @brief Returns the destination hardware address
+     * @returns the destination hardware address
      */
     Address GetDestinationHardwareAddress() const;
 
     /**
-     * \brief Returns the source IP address
-     * \returns the source IP address
+     * @brief Returns the source IP address
+     * @returns the source IP address
      */
     Ipv4Address GetSourceIpv4Address() const;
 
     /**
-     * \brief Returns the destination IP address
-     * \returns the destination IP address
+     * @brief Returns the destination IP address
+     * @returns the destination IP address
      */
     Ipv4Address GetDestinationIpv4Address() const;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -96,22 +143,23 @@
     void Serialize(Buffer::Iterator start) const override;
     uint32_t Deserialize(Buffer::Iterator start) override;
 
-    /**
-     * \brief Enumeration listing the possible ARP types
-     */
-    enum ArpType_e
-    {
-        ARP_TYPE_REQUEST = 1,
-        ARP_TYPE_REPLY = 2
-    };
-
-    uint16_t m_type;          //!< type of the ICMP (ARP_TYPE_REQUEST)
-    Address m_macSource;      //!< hardware source address
-    Address m_macDest;        //!< hardware destination address
-    Ipv4Address m_ipv4Source; //!< IP source address
-    Ipv4Address m_ipv4Dest;   //!< IP destination address
+    HardwareType m_hardwareType; //!< hardware type
+    ArpType_e m_type;            //!< type of the ICMP packet
+    Address m_macSource;         //!< hardware source address
+    Address m_macDest;           //!< hardware destination address
+    Ipv4Address m_ipv4Source;    //!< IP source address
+    Ipv4Address m_ipv4Dest;      //!< IP destination address
 };
 
+/**
+ * @brief Stream insertion operator.
+ *
+ * @param os The reference to the output stream
+ * @param hardwareType the hardware type
+ * @return The reference to the output stream.
+ */
+std::ostream& operator<<(std::ostream& os, ArpHeader::HardwareType hardwareType);
+
 } // namespace ns3
 
 #endif /* ARP_HEADER_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/arp-l3-protocol.cc ns-3.44/src/internet/model/arp-l3-protocol.cc
--- ns-3.43/src/internet/model/arp-l3-protocol.cc	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/arp-l3-protocol.cc	2025-03-09 16:55:49.387371000 -0700
@@ -202,7 +202,7 @@
     }
 
     /**
-     * \internal
+     * @internal
      * Note: we do not update the ARP cache when we receive an ARP request
      *  from an unknown node. See \bugid{107}
      */
@@ -292,7 +292,7 @@
                 NS_LOG_LOGIC("node=" << m_node->GetId() << ", dead entry for " << destination
                                      << " expired -- send arp request");
                 entry->MarkWaitReply(ArpCache::Ipv4PayloadHeaderPair(packet, ipHeader));
-                Simulator::Schedule(Time(MilliSeconds(m_requestJitter->GetValue())),
+                Simulator::Schedule(MilliSeconds(m_requestJitter->GetValue()),
                                     &ArpL3Protocol::SendArpRequest,
                                     this,
                                     cache,
@@ -303,7 +303,7 @@
                 NS_LOG_LOGIC("node=" << m_node->GetId() << ", alive entry for " << destination
                                      << " expired -- send arp request");
                 entry->MarkWaitReply(ArpCache::Ipv4PayloadHeaderPair(packet, ipHeader));
-                Simulator::Schedule(Time(MilliSeconds(m_requestJitter->GetValue())),
+                Simulator::Schedule(MilliSeconds(m_requestJitter->GetValue()),
                                     &ArpL3Protocol::SendArpRequest,
                                     this,
                                     cache,
@@ -364,7 +364,7 @@
                              << " -- send arp request");
         entry = cache->Add(destination);
         entry->MarkWaitReply(ArpCache::Ipv4PayloadHeaderPair(packet, ipHeader));
-        Simulator::Schedule(Time(MilliSeconds(m_requestJitter->GetValue())),
+        Simulator::Schedule(MilliSeconds(m_requestJitter->GetValue()),
                             &ArpL3Protocol::SendArpRequest,
                             this,
                             cache,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/arp-l3-protocol.h ns-3.44/src/internet/model/arp-l3-protocol.h
--- ns-3.43/src/internet/model/arp-l3-protocol.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/arp-l3-protocol.h	2025-03-09 16:55:49.387371000 -0700
@@ -29,8 +29,8 @@
 class TrafficControlLayer;
 
 /**
- * \ingroup ipv4
- * \defgroup arp ARP protocol.
+ * @ingroup ipv4
+ * @defgroup arp ARP protocol.
  *
  * The ARP protocol and its associated tables are responsible
  * for the IPv4 - MAC address translation.
@@ -38,15 +38,15 @@
  */
 
 /**
- * \ingroup arp
- * \brief An implementation of the ARP protocol.
+ * @ingroup arp
+ * @brief An implementation of the ARP protocol.
  */
 class ArpL3Protocol : public Object
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     static const uint16_t PROT_NUMBER; //!< ARP protocol number (0x0806)
@@ -59,33 +59,33 @@
     ArpL3Protocol& operator=(const ArpL3Protocol&) = delete;
 
     /**
-     * \brief Set the node the ARP L3 protocol is associated with
-     * \param node the node
+     * @brief Set the node the ARP L3 protocol is associated with
+     * @param node the node
      */
     void SetNode(Ptr<Node> node);
 
     /**
-     * \brief Set the TrafficControlLayer.
-     * \param tc TrafficControlLayer object
+     * @brief Set the TrafficControlLayer.
+     * @param tc TrafficControlLayer object
      */
     void SetTrafficControl(Ptr<TrafficControlLayer> tc);
 
     /**
-     * \brief Create an ARP cache for the device/interface
-     * \param device the NetDevice
-     * \param interface the Ipv4Interface
-     * \returns a smart pointer to the ARP cache
+     * @brief Create an ARP cache for the device/interface
+     * @param device the NetDevice
+     * @param interface the Ipv4Interface
+     * @returns a smart pointer to the ARP cache
      */
     Ptr<ArpCache> CreateCache(Ptr<NetDevice> device, Ptr<Ipv4Interface> interface);
 
     /**
-     * \brief Receive a packet
-     * \param device the source NetDevice
-     * \param p the packet
-     * \param protocol the protocol
-     * \param from the source address
-     * \param to the destination address
-     * \param packetType type of packet (i.e., unicast, multicast, etc.)
+     * @brief Receive a packet
+     * @param device the source NetDevice
+     * @param p the packet
+     * @param protocol the protocol
+     * @param from the source address
+     * @param to the destination address
+     * @param packetType type of packet (i.e., unicast, multicast, etc.)
      */
     void Receive(Ptr<NetDevice> device,
                  Ptr<const Packet> p,
@@ -94,14 +94,14 @@
                  const Address& to,
                  NetDevice::PacketType packetType);
     /**
-     * \brief Perform an ARP lookup
-     * \param p the packet
-     * \param ipHeader the IPv4 header
-     * \param destination destination IP address
-     * \param device outgoing device
-     * \param cache ARP cache
-     * \param hardwareDestination filled with the destination MAC address (if the entry exists)
-     * \return true if there is a matching ARP Entry
+     * @brief Perform an ARP lookup
+     * @param p the packet
+     * @param ipHeader the IPv4 header
+     * @param destination destination IP address
+     * @param device outgoing device
+     * @param cache ARP cache
+     * @param hardwareDestination filled with the destination MAC address (if the entry exists)
+     * @return true if there is a matching ARP Entry
      */
     bool Lookup(Ptr<Packet> p,
                 const Ipv4Header& ipHeader,
@@ -115,8 +115,8 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
@@ -133,24 +133,24 @@
     typedef std::list<Ptr<ArpCache>> CacheList; //!< container of the ARP caches
 
     /**
-     * \brief Finds the cache associated with a NetDevice
-     * \param device the NetDevice
-     * \returns the ARP cache, or null if no cache is found
+     * @brief Finds the cache associated with a NetDevice
+     * @param device the NetDevice
+     * @returns the ARP cache, or null if no cache is found
      */
     Ptr<ArpCache> FindCache(Ptr<NetDevice> device);
 
     /**
-     * \brief Send an ARP request to an host
-     * \param cache the ARP cache to use
-     * \param to the destination IP
+     * @brief Send an ARP request to an host
+     * @param cache the ARP cache to use
+     * @param to the destination IP
      */
     void SendArpRequest(Ptr<const ArpCache> cache, Ipv4Address to);
     /**
-     * \brief Send an ARP reply to an host
-     * \param cache the ARP cache to use
-     * \param myIp the source IP address
-     * \param toIp the destination IP
-     * \param toMac the destination MAC address
+     * @brief Send an ARP reply to an host
+     * @param cache the ARP cache to use
+     * @param myIp the source IP address
+     * @param toIp the destination IP
+     * @param toMac the destination MAC address
      */
     void SendArpReply(Ptr<const ArpCache> cache, Ipv4Address myIp, Ipv4Address toIp, Address toMac);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/arp-queue-disc-item.h ns-3.44/src/internet/model/arp-queue-disc-item.h
--- ns-3.43/src/internet/model/arp-queue-disc-item.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/arp-queue-disc-item.h	2025-03-09 16:55:49.387371000 -0700
@@ -16,8 +16,8 @@
 {
 
 /**
- * \ingroup arp
- * \ingroup traffic-control
+ * @ingroup arp
+ * @ingroup traffic-control
  *
  * ArpQueueDiscItem is a subclass of QueueDiscItem which stores ARP packets.
  * Header and payload are kept separate to allow the queue disc to hash the
@@ -27,11 +27,11 @@
 {
   public:
     /**
-     * \brief Create an ARP queue disc item containing an ARP packet.
-     * \param p the packet included in the created item.
-     * \param addr the destination MAC address
-     * \param protocol the protocol number
-     * \param header the ARP header
+     * @brief Create an ARP queue disc item containing an ARP packet.
+     * @param p the packet included in the created item.
+     * @param addr the destination MAC address
+     * @param protocol the protocol number
+     * @param header the ARP header
      */
     ArpQueueDiscItem(Ptr<Packet> p,
                      const Address& addr,
@@ -47,37 +47,37 @@
     ArpQueueDiscItem& operator=(const ArpQueueDiscItem&) = delete;
 
     /**
-     * \return the correct packet size (header plus payload).
+     * @return the correct packet size (header plus payload).
      */
     uint32_t GetSize() const override;
 
     /**
-     * \return the header stored in this item..
+     * @return the header stored in this item..
      */
     const ArpHeader& GetHeader() const;
 
     /**
-     * \brief Add the header to the packet
+     * @brief Add the header to the packet
      */
     void AddHeader() override;
 
     /**
-     * \brief Print the item contents.
-     * \param os output stream in which the data should be printed.
+     * @brief Print the item contents.
+     * @param os output stream in which the data should be printed.
      */
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Inherited from the base class, but we cannot mark ARP packets
-     * \return false
+     * @brief Inherited from the base class, but we cannot mark ARP packets
+     * @return false
      */
     bool Mark() override;
 
     /**
-     * \brief Computes the hash of the packet's 5-tuple
+     * @brief Computes the hash of the packet's 5-tuple
      *
-     * \param perturbation hash perturbation value
-     * \return the hash of the packet's 5-tuple
+     * @param perturbation hash perturbation value
+     * @return the hash of the packet's 5-tuple
      */
     uint32_t Hash(uint32_t perturbation) const override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/candidate-queue.cc ns-3.44/src/internet/model/candidate-queue.cc
--- ns-3.43/src/internet/model/candidate-queue.cc	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/candidate-queue.cc	2025-03-09 16:55:49.387371000 -0700
@@ -20,11 +20,11 @@
 NS_LOG_COMPONENT_DEFINE("CandidateQueue");
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the reference to the output stream
- * \param t the SPFVertex type
- * \returns the reference to the output stream
+ * @param os the reference to the output stream
+ * @param t the SPFVertex type
+ * @returns the reference to the output stream
  */
 std::ostream&
 operator<<(std::ostream& os, const SPFVertex::VertexType& t)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/candidate-queue.h ns-3.44/src/internet/model/candidate-queue.h
--- ns-3.43/src/internet/model/candidate-queue.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/candidate-queue.h	2025-03-09 16:55:49.387371000 -0700
@@ -20,9 +20,9 @@
 class SPFVertex;
 
 /**
- * \ingroup globalrouting
+ * @ingroup globalrouting
  *
- * \brief A Candidate Queue used in routing calculations.
+ * @brief A Candidate Queue used in routing calculations.
  *
  * The CandidateQueue is used in the OSPF shortest path computations.  It
  * is a priority queue used to store candidates for the shortest path to a
@@ -150,15 +150,15 @@
 
   private:
     /**
-     * \brief return true if v1 < v2
+     * @brief return true if v1 < v2
      *
      * SPFVertex items are added into the queue according to the ordering
      * defined by this method. If v1 should be popped before v2, this
      * method return true; false otherwise
      *
-     * \param v1 first operand
-     * \param v2 second operand
-     * \return True if v1 should be popped before v2; false otherwise
+     * @param v1 first operand
+     * @param v2 second operand
+     * @return True if v1 should be popped before v2; false otherwise
      */
     static bool CompareSPFVertex(const SPFVertex* v1, const SPFVertex* v2);
 
@@ -166,11 +166,11 @@
     CandidateList_t m_candidates;                  //!< SPFVertex candidates
 
     /**
-     * \brief Stream insertion operator.
+     * @brief Stream insertion operator.
      *
-     * \param os the reference to the output stream
-     * \param q the CandidateQueue
-     * \returns the reference to the output stream
+     * @param os the reference to the output stream
+     * @param q the CandidateQueue
+     * @returns the reference to the output stream
      */
     friend std::ostream& operator<<(std::ostream& os, const CandidateQueue& q);
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/global-route-manager.h ns-3.44/src/internet/model/global-route-manager.h
--- ns-3.43/src/internet/model/global-route-manager.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/global-route-manager.h	2025-03-09 16:55:49.391371000 -0700
@@ -16,7 +16,7 @@
 {
 
 /**
- * \ingroup globalrouting
+ * @ingroup globalrouting
  *
  * @brief A global global router
  *
